{% extends "../index.htm" %}
{% load i18n %}  
{% load static %}

{% block htmlData %}
    <script>
        var mySubscribedguid    = {{ subscribedguid|safe|default_if_none:"null" }} ;
        var favoriteNodes       = {{ favoriteNodes|safe|default_if_none:"null" }} ; 
        var alertsArrayLength   = {{ alertsArrayLength }} ; 
        var favoriteNodesLength = {{ favoriteNodesLength }} ;
        var myAvailableSubscribedguid = null ;
        var forwardEnabled      = "{{ forwardEnabled }}";
        var hiddenItems         = {{ hiddenItems|safe }} ;
    </script>

    <script src='{% static "js/messageStuff.js" %}'></script> 
    <script src='{% static "js/favTree.js" %}'></script>
    <script src='{% static "js/otherStuff.js" %}'></script>
    <script type="text/javascript">       
        $(function() {
            $("#subscribedguid").chosen({
                placeholder_text_multiple:  translateThis('chooseGroups'),
                width: "95%"
            }); 
        });                   
    </script>  


    
    
    <div style='display: none'>
        <input type="text" id="sessInfo" value="{{ user.uuid }};{{ token }};{{user.nbOfDays}};-1">
        <input type="text" id="reloadStatus" value="on">
        <input type="text" id="dragMsgSubject" value="">
        <input type="text" id="dragMsgToFolder" value="">
    </div>
    
    <div class="w3-row" style='height: 100%;'>
        <!-- Alerts & Favorites -->
        <div class="w3-col w3-hide-medium w3-hide-small w3-margin-left w3-margin-top w3-margin-right" style="width: 250px; display: none" id="leftCol" >            
            <div id='favTree'>ugyu</div>            
            <div id='alerts'>
                {% for alert in alerts %}
                    <div class="w3-panel w3-blue-grey w3-round-large w3-display-container w3-padding-small">
                        <span onclick="this.parentElement.style.display='none'" class="w3-button w3-large w3-display-topright">&times;</span>
                        <h4 class="w3-medium"><i class="fas fa-user-clock fa-lg" ></i> 
                            <a href='#' onclick="displayMsgDetails('{{ user.uuid }}', '{{ alert.m_uuid }}', '{{ token }}')"> {{ alert.subject }}</a>
                        </h4>
                        <h6 class="w3-small w3-margin-top">
                            <i class="far fa-calendar-alt fa-lg" ></i> 
                            {% trans 'dateStart' %} <script>printPrettyLocalDatetimeFromMicrotimestp({{ alert.startdate }}, 'L')</script> <br/>
                            {% trans 'dateEnd' %} <script>printPrettyLocalDatetimeFromMicrotimestp({{ alert.enddate }}, 'L')</script>
                        </h6>
                        
                        <p class="w3-small w3-margin-top">{{ alert.body }}</p>
                    </div>  
                {% endfor %}
            
            </div>
        </div>
        
        <div class="w3-rest">
        
            <!-- email list pannel -->
            <div class="w3-third w3-card-2 w3-margin-top w3-margin-bottom w3-margin-right" style="max-width: 375px;" id='mainMsgList' >
                <div id='msgList'>
                    <!-- tool box -->
                    <div class="w3-bar w3-blue" style="height:20px;">
                        <div class="w3-bar-item w3-left" style='width:30px;'><a href="#" onclick='goToMessageList()' title="{% trans 'backToDaylyList' %} "> <i class="fas fa-undo"></i></a></div>
                              
                        <!-- Date selector form-->
                        <div class="w3-dropdown-hover w3-blue" style='width:30px;'>
<!--                            <div class="">-->
                                <i class="fas fa-tags fa-lg" style='font-size: 14px; margin-top: 5px;' title="{% trans 'searchByTag' %}"> </i>
                                <div class="w3-dropdown-content w3-bar-block  w3-card-4">
                                    
                                    {% for tag in  userTags %}
                                        <span class="w3-bar-item  w3-button">
                                            <i class="fas fa-tag fa-sm" style='color: blue;'> </i> <a href="#"  onClick="getAllMessageWithThisSelectedTag('{{ user.uuid }}', '{{ tag.uuid }}', '{{ token }}' )" > {{ tag.displayname }} </a>
                                        </span>
                                    {% endfor %}
                                    
                                    {% for tag in  domainTags %}
                                        <span class="w3-bar-item  w3-button">
                                            <i class="fas fa-tag fa-sm" style='color: blue;'> </i> <a href="#"  onClick="getAllMessageWithThisSelectedTag('{{ user.uuid }}', '{{ tag.uuid }}', '{{ token }}' )" > [d] {{ tag.displayname }} </a>
                                        </span>
                                    {% endfor %}
                                </div>

                        </div>
                              
                        <!-- Date selector form-->
                        <div class="w3-bar-item w3-left" style='width:30px;'>
                            <p class="w3-dropdown-hover w3-blue">
                                <i class="fas fa-calendar-alt fa-lg" title="{% trans 'searchByDate' %}"></i>
                                <span class="w3-dropdown-content">
                                    <input type="date" id="retrieveListByDate" onchange="getListByDate()" style='width:100%'/>
                                </span>
                            </p>  
                        </div>
                                                
                        <!-- Quick Search form-->
                        <div class="w3-bar-item w3-left" style='width:150px; padding: 0;'>
                            <p id="" class="w3-quickSearch">
                                <input type="text" id="quickSearchText" name="string" class="w3-quickSearch-input"/>
                                <a href='#' onClick='searchTextInMessage()' ><i class="fas fa-search fa-lg" style="padding-left:2px;"></i></a>
                            </p>   
                        </div>
                        
                        <!-- Date ordering-->
                        <div class="w3-bar-item w3-right" style='width:30px;'><a href="#" onclick='changeOrderByDate("1")'  title="{% trans 'Sort Ascendant' %}"> <i class="fas fa-sort-amount-up fa-lg"></i></a></div>
                        <div class="w3-bar-item w3-right" style='width:30px;'><a href="#" onclick='changeOrderByDate("-1")' title="{% trans 'Sort Descendant' %}"> <i class="fas fa-sort-amount-down fa-lg"></i></a></div>
                    </div>
               
                    <!-- email list -->
                    <div style="max-height: 630px; overflow-y:auto;">
                        <ul class="w3-ul" id="ulMessageList" >
                            {% for msg in Messages %}
                            
                            <li  class="w3-bar w3-border-left-blue w3-hover-bolder"
                            
                                {% if  msg.defaultColor %}
                                    style='border-color:{{ msg.defaultColor }}!important'
                                {% endif %}    
                                        
                                draggable="true" ondragstart="return dragStart(event)"  id='{{ msg.uuid }}' >
                                
                                {% if msg.status == 'read' %}
                                    <div class="w3-bar-item" id='readStatus-{{ msg.uuid }}' >
                                {% else %}
                                    <div class="w3-bar-item-bold" id='readStatus-{{ msg.uuid }}'>
                                {% endif %}
                                     <div class="w3-row" style='padding-bottom: 5px;'>
                                        <div class="w3-col s1">
                                            {% if msg.outBound == True %}
                                                <i class="fas fa-upload " style='color: red;'></i>
                                            {% else %}
                                                <i class="fas fa-download " style='color: blue;'></i>
                                            {% endif %}
                                            {% if msg.dispatched %}
                                            {% else %}
                                                <i class="fas fa-share-alt fa-blink " id='shareStatus-{{ msg.uuid }}' style='color: red;'></i>
                                            {% endif %}
                                        </div>
                                        <div class="w3-col s11 w3-small w3-hide-small" style="font-weight: bolder">
                                            <a href='#' onclick="displayMsgDetails('{{ user.uuid }}', '{{ msg.uuid }}', '{{ token }}')">
                                                {{ msg.subject }}                                             
                                            </a>
                                        </div>
                                        <div class="w3-col s11 w3-small w3-hide-medium w3-hide-large" style="font-weight: bolder">
                                            <a href='#' onclick="smallScreenDisplayMsgDetails('{{ user.uuid }}', '{{ msg.uuid }}', '{{ token }}')">
                                                {{ msg.subject }}                                             
                                            </a>
                                        </div>                                        
                                    </div> 
                               
                                    <div class="w3-row" style='padding-bottom: 5px;'>
                                        <div class="w3-col s1">                                       
                                            {% if msg.attachment == True %}
                                                <i class="fas fa-paperclip"></i>
                                            {% endif %}
                                            
                                            {% if msg.x_priority == 1 %} <i class="fas fa-exclamation-circle" style='color: red;'></i> {% endif %}
                                            {% if msg.x_priority == 2 %} <i class="fas fa-exclamation-circle" style='color: orange;' ></i>{% endif %}
                                            
                                        </div>
                                        <div class="w3-col s11 w3-small w3-text-indigo">
                                                {{ msg.fromPretty }}
                                        </div>
                                    </div> 
                                    <span class="w3-date-left w3-small" style='font-weight: bolder; font-color:#00008B!important;'>Chrono: {{ msg.chrono }}</span>
                                    <span class="w3-date-right w3-small "><script> printPrettyLocalDatetimeFromMicrotimestp({{ msg.date }}, 'UTC')</script></span>
                                </div>
                            </li>
                            {% endfor %}
                        </ul>
                    </div>
                    
                </div>
            </div>


            <!-- Contenu du message -->
            <div class="w3-rest w3-card-2 w3-margin-top w3-margin-bottom" style="max-width: 1200px;">            
                <div id='msgDetails' style="display:none"> 
                    <div class="w3-bar w3-hide-medium w3-hide-large">
                        <button class="w3-bar-item-toolbox w3-button w3-green" onclick="smallClose()"><i class="fas fa-long-arrow-alt-left"></i><font class=""> {% trans 'Close' %}</font></button>
                        </br></br>
                    </div>
                    
                    
                    <div class="w3-bar w3-light-grey">
                        
                        <button class="w3-bar-item-toolbox w3-button tablink w3-blue" id='tabMsg' onclick="openTab(event, 'message')">
                            <i class="far fa-envelope-open fa-lg"></i> <font class="w3-hide-small w3-hide-medium"> {% trans 'Message' %}</font></button>
                            
                        {% if 'Informations' not in hiddenItems %}    
                            <button class="w3-bar-item-toolbox w3-button tablink" onclick="openTab(event, 'info')">
                                <i class="fas fa-info fa-lg"></i> <font class="w3-hide-small w3-hide-medium "> {% trans 'Informations' %}</font></button>
                        {% endif %}
                        
                        <button class="w3-bar-item-toolbox w3-button tablink" onclick="openTab(event, 'attachment')">
                            <i class="fas fa-paperclip fa-lg"></i> <font class="w3-hide-small w3-hide-medium "> {% trans 'Attachments' %}</font></button>
                        
                        {% if 'Share' not in hiddenItems %}
                            <button class="w3-bar-item-toolbox w3-button tablink" onclick="openTab(event, 'share')">
                                <i class="fas fa-share-alt fa-lg"></i> <font class="w3-hide-small w3-hide-medium "> {% trans 'Share' %}</font></button>
                        {% endif %}
                        
                        {% if 'Access' not in hiddenItems %}
                            <button class="w3-bar-item-toolbox w3-button tablink" onclick="openTab(event, 'access')">
                                <i class="fas fa-eye fa-lg"></i> <font class="w3-hide-small w3-hide-medium "> {% trans 'Access' %}</font></button>
                        {% endif %}
                        
                        {% if 'Alert' not in hiddenItems %}
                            <button class="w3-bar-item-toolbox w3-button tablink" onclick="openTab(event, 'alert')">
                                <i class="fas fa-user-clock fa-lg"></i> <font class="w3-hide-small w3-hide-medium "> {% trans 'Alert' %}</font></button>
                        {% endif %}
                        
                        {% if 'Comment' not in hiddenItems %}
                            <button class="w3-bar-item-toolbox w3-button tablink" onclick="openTab(event, 'comment')">
                                <i class="far fa-comments fa-lg"></i> <font class="w3-hide-small w3-hide-medium "> {% trans 'Comment' %}</font></button>
                        {% endif %}
                        
                        {% if 'Tag' not in hiddenItems %}
                            <button class="w3-bar-item-toolbox w3-button tablink" onclick="openTab(event, 'tag')">
                                <i class="fas fa-tags fa-lg"></i> <font class="w3-hide-small w3-hide-medium "> {% trans 'Tag' %}</font></button> 
                        {% endif %}
                        
                        {% if 'Favorites' not in hiddenItems %}
                            <button class="w3-bar-item-toolbox w3-button" onclick="openFavoriteBox()">
                                <i class="fas fa-star"></i> <span class="w3-hide-small w3-hide-medium "> {% trans 'Favorites' %} </font></button>
                        {% endif %}
                        
                        {% if 'Print' not in hiddenItems %}
                            <button class="w3-bar-item-toolbox w3-button w3-hide-small" onclick="Print()">
                                <i class="fas fa-print"></i> <span class="w3-hide-small w3-hide-medium "> {% trans 'Print' %} </font></button>
                        {% endif %}
                        
                        {% if forwardEnabled == True %}
                            {% if 'Forward' not in hiddenItems %}
                                <button class="w3-bar-item-toolbox w3-button tablink" onclick="forwardMessage()">
                                    <i class="fas fa-reply-all"></i> <span class="w3-hide-small w3-hide-medium "> {% trans 'Forward' %} </font></button>
                            {% endif %}
                        {% endif %}
                        
                        {% if role == 'domain' or role == 'dispatcher' %}
                            <button class="w3-bar-item-toolbox w3-button" onclick="Delete()"><i class="fas fa-trash fa-lg" style="color: red;"></i> <font class="w3-hide-small w3-hide-medium "> {% trans 'Delete' %}</font></button>
                        {% endif %}
                    </div> 
        
                    <div class='tab' id='message' style=''>
                        <br>
                    </div>
                    
                    {% if 'Informations' not in hiddenItems %} 
                        <div class='tab' id='info' style="display:none">
                            <br>
                        </div>
                    {% endif %}
                    
                    <div class='tab' id='attachment' style="display:none">
                        <br>
                    </div>
                    
                    
                    {% if 'Share' not in hiddenItems %}
                        <div class='tab' id='share' style="display:none">
                            <br>
                        </div>
                    {% endif %}
                    
                    {% if 'Access' not in hiddenItems %}
                        <div class='tab' id='access' style="display:none">
                            <br>
                        </div>
                    {% endif %}
                    
                    {% if 'Alert' not in hiddenItems %}
                        <div class='tab' id='alert' style="display:none">
                            <br>
                        </div>
                    {% endif %}
                    
                    {% if 'Comment' not in hiddenItems %}
                        <div class='tab' id='comment' style="display:none">
                            <br>
                        </div>
                    {% endif %}
                    
                    {% if 'Tag' not in hiddenItems %}
                        <div class='tab' id='tag' style="display:none">
                            <br>
                        </div>
                    {% endif %}
                    
                    {% if forwardEnabled == True %}
                        {% if 'Forward' not in hiddenItems %}
                            <div class='tab' id='forward' style="display:none">
                                <br>
                            </div>
                        {% endif %}
                    {% endif %}
                    
                    <div style="display:none"> 
                        <input type='text' name='domain' id='domainid' value='{{ user.domain }}'>
                        <input type='text' name='userRole' id='userRole' value='{{ user.role }}'>
                    </div>
                </div>
            </div>

            
        </div>
    </div>
    
    <div id="dragAndDropPopup" class="w3-modal">
        <div class="w3-modal-content w3-card-4 w3-animate-zoom" style="max-width:600px">
            <div class="w3-center">
                <header class="w3-container w3-teal w3-card-8"> 
                    <h3>{% trans 'Message management' %}</h3>
                </header>
                <br>
                <span onclick='cancelDragAndDropPopup()' class="w3-button w3-xlarge w3-transparent w3-display-topright" title="{% trans 'Close' %}">×</span>
            </div>
            <div class="w3-section">
                <br>
                <div class="w3-container w3-center w3-bolder"  id="dragAndDropPopupContent"> </div>
                <br>
            </div>
        </div>
    </div>
    
    
    <script>
        var active = document.getElementById("reloadStatus").value;
        if (active == "on") {
            var interval = 60000 ;
            setInterval(function(){ reloadMessageList("");  }, interval);
        }
        
        testIfLeftColAsNode();
    </script>
    
{% endblock %}
